"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = exports.globalConnection = exports.storageKey = void 0;
const vscode = require("vscode");
const sparql_notebook_controller_1 = require("./sparql-notebook-controller");
const sparql_notebook_serializer_1 = require("./sparql-notebook-serializer");
const db_connection_1 = require("./db-connection");
const commands_1 = require("./commands");
exports.storageKey = "sparql-notebook-connections";
exports.globalConnection = {
    connection: null,
};
function activate(context) {
    context.subscriptions.push(vscode.workspace.registerNotebookSerializer("sparql-notebook", new sparql_notebook_serializer_1.SparqlNotebookSerializer()));
    context.subscriptions.push(new sparql_notebook_controller_1.SparqlNotebookController());
    const connectionsSidepanel = new db_connection_1.SparqlNotebookConnections(context);
    vscode.window.registerTreeDataProvider(exports.storageKey, connectionsSidepanel);
    vscode.commands.registerCommand("sparql-notebook.deleteConnectionConfiguration", (0, commands_1.deleteConnectionConfiguration)(context, connectionsSidepanel));
    vscode.commands.registerCommand("sparql-notebook.addNewConnectionConfiguration", (0, commands_1.addNewConnectionConfiguration)(context, connectionsSidepanel));
    vscode.commands.registerCommand("sparql-notebook.connect", (0, commands_1.connectToDatabase)(context, connectionsSidepanel));
}
exports.activate = activate;
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map