"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SparqlNotebookSerializer = void 0;
const vscode = require("vscode");
const util_1 = require("util");
class SparqlNotebookSerializer {
    async deserializeNotebook(content, _token) {
        var contents = new util_1.TextDecoder().decode(content);
        let raw;
        try {
            raw = JSON.parse(contents);
        }
        catch {
            raw = [];
        }
        const cells = raw.map((item) => new vscode.NotebookCellData(item.kind, item.value, item.language));
        return new vscode.NotebookData(cells);
    }
    async serializeNotebook(data, _token) {
        let contents = [];
        for (const cell of data.cells) {
            contents.push({
                kind: cell.kind,
                language: cell.languageId,
                value: cell.value,
            });
        }
        return new util_1.TextEncoder().encode(JSON.stringify(contents));
    }
}
exports.SparqlNotebookSerializer = SparqlNotebookSerializer;
//# sourceMappingURL=sparql-notebook-serializer.js.map